curl --request GET \
--url https://api.example.com/v1/parties/{id}import requests
url = "https://api.example.com/v1/parties/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/parties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/parties/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/parties/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/parties/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/parties/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "019bdb2a-960f-789d-8955-21720e6cdeed",
"type": "INDIVIDUAL",
"originPartyId": "1f770bac-670a-40fc-9deb-0a691034495a",
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"nationality": "LT",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
],
"registrationNumber": "123456789",
"legalName": "Acme Corp",
"country": "LT",
"uboDetails": [
{
"firstName": "John",
"lastName": "Doe",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"dateFrom": "2020-01-01T00:00:00.000Z",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
]
}
],
"representatives": [
{
"firstName": "Jane",
"lastName": "Smith",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"dateFrom": "2020-01-01T00:00:00.000Z",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
]
}
],
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"createdAt": "2026-01-22T13:47:21.542Z",
"updatedAt": "2026-01-22T13:47:21.542Z"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Get party
Returns party details by ID
curl --request GET \
--url https://api.example.com/v1/parties/{id}import requests
url = "https://api.example.com/v1/parties/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/parties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/parties/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/parties/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/parties/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/parties/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "019bdb2a-960f-789d-8955-21720e6cdeed",
"type": "INDIVIDUAL",
"originPartyId": "1f770bac-670a-40fc-9deb-0a691034495a",
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"nationality": "LT",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
],
"registrationNumber": "123456789",
"legalName": "Acme Corp",
"country": "LT",
"uboDetails": [
{
"firstName": "John",
"lastName": "Doe",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"dateFrom": "2020-01-01T00:00:00.000Z",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
]
}
],
"representatives": [
{
"firstName": "Jane",
"lastName": "Smith",
"taxIdentifications": [
{
"tin": "12345678901",
"country": "LT"
}
],
"dateFrom": "2020-01-01T00:00:00.000Z",
"dateOfBirth": "1990-01-15T00:00:00.000Z",
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"documents": [
{
"type": "PASSPORT",
"number": "AB1234567"
}
]
}
],
"registrationAddress": {
"townName": "Vilnius",
"streetName": "Gedimino pr.",
"buildingNumber": "1",
"postCode": "01103",
"country": "LT"
},
"createdAt": "2026-01-22T13:47:21.542Z",
"updatedAt": "2026-01-22T13:47:21.542Z"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Path Parameters
Party ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Response
Party details
Party details
Party ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdeed"
Party type
INDIVIDUAL, ORGANISATION Origin party identifier
"1f770bac-670a-40fc-9deb-0a691034495a"
First name (individual)
"John"
Last name (individual)
"Doe"
Date of birth (individual)
"1990-01-15T00:00:00.000Z"
Nationality (individual)
"LT"
Tax identifications (individual)
Show child attributes
Show child attributes
Identification documents (individual)
Show child attributes
Show child attributes
Registration number (organisation)
"123456789"
Legal name (organisation)
"Acme Corp"
Country (organisation)
"LT"
UBO details (organisation)
Show child attributes
Show child attributes
Representatives (organisation)
Show child attributes
Show child attributes
Registration address
Show child attributes
Show child attributes
Party creation timestamp
"2026-01-22T13:47:21.542Z"
Party last update timestamp
"2026-01-22T13:47:21.542Z"